## com.ibatis.jpetstore.domain
Class Item

    java.lang.Object
      com.ibatis.jpetstore.domain.Item

All Implemented Interfaces:
  Serializable

public class Item
extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`private String` `attribute1`
`private String` `attribute2`
`private String` `attribute3`
`private String` `attribute4`
`private String` `attribute5`
`private String` `itemId`
`private BigDecimal` `listPrice`
`private Product` `product`
`private String` `productId`
`private int` `quantity`
`private String` `status`
`private int` `supplierId`
`private BigDecimal` `unitCost`

Constructor Summary
`Item()`

Method Summary
`String` `getAttribute1()`
`String` `getAttribute2()`
`String` `getAttribute3()`
`String` `getAttribute4()`
`String` `getAttribute5()`
`String` `getItemId()`
`BigDecimal` `getListPrice()`
`Product` `getProduct()`
`String` `getProductId()`
`int` `getQuantity()`
`String` `getStatus()`
`int` `getSupplierId()`
`BigDecimal` `getUnitCost()`
`void` `setAttribute1(String attribute1)`
`void` `setAttribute2(String attribute2)`
`void` `setAttribute3(String attribute3)`
`void` `setAttribute4(String attribute4)`
`void` `setAttribute5(String attribute5)`
`void` `setItemId(String itemId)`
`void` `setListPrice(BigDecimal listPrice)`
`void` `setProduct(Product product)`
`void` `setProductId(String productId)`
`void` `setQuantity(int quantity)`
`void` `setStatus(String status)`
`void` `setSupplierId(int supplierId)`
`void` `setUnitCost(BigDecimal unitCost)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### itemId

    private String itemId

### productId

    private String productId

### listPrice

    private BigDecimal listPrice

### unitCost

    private BigDecimal unitCost

### supplierId

    private int supplierId

### status

    private String status

### attribute1

    private String attribute1

### attribute2

    private String attribute2

### attribute3

    private String attribute3

### attribute4

    private String attribute4

### attribute5

    private String attribute5

### product

    private Product product

### quantity

    private int quantity

Constructor Detail

### Item

    public Item()

Method Detail

### getItemId

    public String getItemId()

### setItemId

    public void setItemId(String itemId)

### getQuantity

    public int getQuantity()

### setQuantity

    public void setQuantity(int quantity)

### getProduct

    public Product getProduct()

### setProduct

    public void setProduct(Product product)

### getProductId

    public String getProductId()

### setProductId

    public void setProductId(String productId)

### getSupplierId

    public int getSupplierId()

### setSupplierId

    public void setSupplierId(int supplierId)

### getListPrice

    public BigDecimal getListPrice()

### setListPrice

    public void setListPrice(BigDecimal listPrice)

### getUnitCost

    public BigDecimal getUnitCost()

### setUnitCost

    public void setUnitCost(BigDecimal unitCost)

### getStatus

    public String getStatus()

### setStatus

    public void setStatus(String status)

### getAttribute1

    public String getAttribute1()

### setAttribute1

    public void setAttribute1(String attribute1)

### getAttribute2

    public String getAttribute2()

### setAttribute2

    public void setAttribute2(String attribute2)

### getAttribute3

    public String getAttribute3()

### setAttribute3

    public void setAttribute3(String attribute3)

### getAttribute4

    public String getAttribute4()

### setAttribute4

    public void setAttribute4(String attribute4)

### getAttribute5

    public String getAttribute5()

### setAttribute5

    public void setAttribute5(String attribute5)

### toString

    public String toString()

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.